<?php if (! empty($this->request->data['Variants'])): ?>

	<?php foreach ($this->request->data['Variants'] as $key => $Variant): ?>

		<fieldset class="collapsable-fieldset">
			<legend><?php echo $Variant['Variant']['name']; ?></legend>
			<div>
				<?php
					echo $this->Form->addField(
						'Variants.' . $key . '.Variant.id',
						array(
							'type' => 'hidden'
						)
					);

					$this->request->data['Variants'][$key]['optionDesc'] = Hash::combine(
						$Variant,
						'Option.{n}.OptionGroup.name',
						'Option.{n}.name'
					);
					array_walk(
						$this->request->data['Variants'][$key]['optionDesc'],
						function (&$value, $key) {
							$value = $key . ': ' . $value;
						}
					);
					$this->request->data['Variants'][$key]['optionDesc'] = implode(', ', $this->request->data['Variants'][$key]['optionDesc']);


					echo $this->Form->addField(
						'Variants.' . $key . '.optionDesc',
						array(
							'type' => 'string',
							'displayonly' => 'displayonly'
						)
					);

					echo $this->Form->addField(
						'Variants.' . $key . '.Variant.name',
						array(
							'type' => 'string'
						)
					);

					echo $this->Form->addField(
						'Variants.' . $key . '.Variant.sku',
						array(
							'type' => 'string'
						)
					);

					echo $this->Form->addField(
						'Variants.' . $key . '.Variant.rrp',
						array(
							'type' => 'string',
							'before' => '<span class="currency">&pound;</span>',
							'label' => 'RRP'
						)
					);

					echo $this->Form->addField(
						'Variants.' . $key . '.Variant.price',
						array(
							'type' => 'string',
							'before' => '<span class="currency">&pound;</span>'
						)
					);

					echo $this->Form->addField(
						'Variants.' . $key . '.Variant.sale_price',
						array(
							'type' => 'string',
							'before' => '<span class="currency">&pound;</span>'
						)
					);
				?>
			</div>
		</fieldset>

	<?php endforeach; ?>

<?php endif; ?>